'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const TableLoadingStyle = "E_4100_0_7_t1g36k2w";
const TableSkeleton = props => {
  const {
    rowsCount = 50,
    headerHeight = 48,
    itemHeight = 40
  } = props;
  const rows = React.useMemo(() => Array.from({
    length: rowsCount
  }, (r, i) => i), [rowsCount]);
  return /* @__PURE__ */React__default.default.createElement("div", {
    className: `${TableLoadingStyle} table-loading`
  }, /* @__PURE__ */React__default.default.createElement("div", {
    className: "table-loading-header table-loading-item",
    style: {
      height: headerHeight
    }
  }, /* @__PURE__ */React__default.default.createElement("div", {
    className: "checkbox-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  })), rows.map(i => /* @__PURE__ */React__default.default.createElement("div", {
    key: i,
    className: "table-loading-item",
    style: {
      height: itemHeight
    }
  }, /* @__PURE__ */React__default.default.createElement("div", {
    className: "checkbox-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  }), /* @__PURE__ */React__default.default.createElement("div", {
    className: "td-loading"
  }))));
};

exports.TableSkeleton = TableSkeleton;
